Skip to main content
POST
/
allowance_line_items
Create an allowance line item
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/allowance_line_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_stub_id": "<id>",
  "allowance_type": "automobile_and_motor_vehicle",
  "accrued_vacation_pay": "0",
  "custom_tag_assignment": {
    "unit": "percentage",
    "tag_allocations": [
      {
        "tags": [
          "<id>"
        ],
        "value": 100
      }
    ]
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/allowance_line_items"

payload = {
"pay_stub_id": "<id>",
"allowance_type": "automobile_and_motor_vehicle",
"accrued_vacation_pay": "0",
"custom_tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pay_stub_id: '<id>',
allowance_type: 'automobile_and_motor_vehicle',
accrued_vacation_pay: '0',
custom_tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
})
};

fetch('https://sandbox.nmbr.co/services/payroll/allowance_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "allowance_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "allowance",
    "is_managed": false,
    "amount": 0,
    "custom_amount": null,
    "managed_amount": null,
    "accrued_vacation_pay": 0,
    "allowance_type": {
      "id": "<id>",
      "object": "allowance_type",
      "data": {
        "type": "automobile_and_motor_vehicle",
        "label": "Vehicle allowance (taxable)"
      },
      "links": {
        "self": "/allowance_types/automobile_and_motor_vehicle"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "earned_on": null,
    "managed_earned_on": null,
    "custom_earned_on": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/allowance_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_stub_id
string
required
business_preset_id
string
allowance_type
enum<string>

The type of allowance for this line item.

Must be present when business_preset_id is either empty or not set.

Available options:
automobile_and_motor_vehicle,
cell_phone_allowance,
child_care_expenses,
child_eduction_non_taxable,
child_eduction_taxable,
clothing_non_taxable,
clothing_taxable,
education_and_professional_development,
housing_allowance_cash,
internet_allowance,
meals_taxable,
moving_allowance_non_taxable,
moving_allowance_taxable,
municipal_officers_expense,
non_taxable_allowance,
overtime_meals_non_taxable,
parking_allowance,
professional_membership,
professional_membership_dues_taxable,
social_event_allowance,
taxable_cash_allowance,
tools_allowance,
transit_pass,
travelling_allowance_non_taxable,
travelling_allowance_taxable,
utilities_allowance,
vehicle_allowance_non_taxable
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Required range: x <= 99999
accrued_vacation_pay
number<decimal>

The vacation pay accrued on this line item, calculated based on the Work Assignment's Vacation Pay Settings.

Required range: 0 <= x <= 99999
title
string | null
Maximum string length: 255
title_translations
object | null

Optional translations for the title property.

component_settings
object
expense_accounting_code_id
string
custom_expense_accounting_code_id
string
liability_accounting_code_id
string
custom_liability_accounting_code_id
string
custom_earned_on
string<date>
external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("allowance_line_item").

data
Allowance Line Item · object